Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.jatmi
Interface FldTbl

All Known Implementing Classes:
  DynamicFldTbl

public interface FldTbl

This interface assists in the mapping from field id to its corresponding string. When a user runs mkfldclass on an field table, mkfldclass produces a java file that implements this interface. The FML object itself takes a list of objects which implement this interface. Whenever the object is asked to map a field id to a string or a string to a field id, the FML object goes through its list of FldTbls calling Fldid_to_name or name_to_Fldid.

See Also:
  `FML`, `mkfldclass`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `Fldid_to_name(int fldid)` This method maps a fielded ID to its corresponding name from the field definition file
`String[]` | `getFldNames()` Gets a list of the field names used by this table.
`int` | `name_to_Fldid(String name)` Maps the given string to the given fieldid

Method Detail

### Fldid_to_name

    public String Fldid_to_name(int fldid)

  This method maps a fielded ID to its corresponding name from the field definition file

  Parameters:
    `fldid` - The field id to search for
  Returns:
    The string for this field id or null if none is found

### getFldNames

    public String[] getFldNames()

  Gets a list of the field names used by this table.

  Returns:
    A String array of the names of the fields of this table.

### name_to_Fldid

    public int name_to_Fldid(String name)

  Maps the given string to the given fieldid

  Parameters:
    `name` - The name to lookup for a fieldid
  Returns:
    A field id or -1 if none could be found with this name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD